.TH JUPYTER-NBCLASSIC "1" "November 2021" "jupyter-nbclassic 6.4.5" "User Commands"
.SH NAME
jupyter-nbclassic \- launch a Tornado based HTML Notebook Server
.PP
.SH OPTIONS

The options below are convenience aliases to configurable class\-options,
as listed in the "Equivalent to" description\-line of the aliases.
To see all configurable class\-options for some <cmd>, use:
.IP
<cmd> \fB\-\-help\-all\fR
.PP
\fB\-\-no\-browser\fR
.IP
Don't open the notebook in a browser after startup.
Equivalent to: [\-\-ServerApp.open_browser=False]
.PP
\fB\-\-no\-mathjax\fR
.IP
Disable MathJax
.IP
MathJax is the javascript library Jupyter uses to render math/LaTeX. It is
very large, so you may want to disable it if you have a slow internet
connection, or for offline use of the notebook.
.IP
When disabled, equations etc. will appear as their untransformed TeX source.
.IP
Equivalent to: [\-\-NotebookApp.enable_mathjax=False]
.PP
\fB\-\-allow\-root\fR
.IP
Allow the notebook to be run from root user.
Equivalent to: [\-\-ServerApp.allow_root=True]
.PP
\fB\-\-ip=\fR<Unicode>
.IP
The IP address the Jupyter server will listen on.
Default: 'localhost'
Equivalent to: [\-\-ServerApp.ip]
.PP
\fB\-\-port=\fR<Int>
.IP
The port the server will listen on (env: JUPYTER_PORT).
Default: 0
Equivalent to: [\-\-ServerApp.port]
.PP
\fB\-\-port\-retries=\fR<Int>
.IP
The number of additional ports to try if the specified port is not available
(env: JUPYTER_PORT_RETRIES).
Default: 50
Equivalent to: [\-\-ServerApp.port_retries]
.PP
\fB\-\-keyfile=\fR<Unicode>
.IP
The full path to a private key file for usage with SSL/TLS.
Default: ''
Equivalent to: [\-\-ServerApp.keyfile]
.PP
\fB\-\-certfile=\fR<Unicode>
.IP
The full path to an SSL/TLS certificate file.
Default: ''
Equivalent to: [\-\-ServerApp.certfile]
.PP
\fB\-\-client\-ca=\fR<Unicode>
.IP
The full path to a certificate authority certificate for SSL/TLS client
authentication.
Default: ''
Equivalent to: [\-\-ServerApp.client_ca]
.PP
\fB\-\-notebook\-dir=\fR<Unicode>
.IP
DEPRECATED, use root_dir.
Default: ''
Equivalent to: [\-\-ServerApp.notebook_dir]
.PP
\fB\-\-browser=\fR<Unicode>
.IP
Specify what command to use to invoke a web
browser when starting the server. If not specified, the
default browser will be determined by the `webbrowser`
standard library module, which allows setting of the
BROWSER environment variable to override it.
.IP
Default: ''
Equivalent to: [\-\-ServerApp.browser]
